## org.apache.xalan.xpath
Class KeyDeclaration

    java.lang.Object
      |
      +--org.apache.xalan.xpath.KeyDeclaration

public class KeyDeclaration
extends java.lang.Object

**For internal use only** Holds the attribute declarations for the xsl:keys element.

Field Summary
`static int` `BUILDING` **For internal use only**
`static int` `BUILT` **For internal use only**
`int` `m_buildState` **For internal use only**
`XPath` `m_match` **For internal use only**
`java.lang.String` `m_name` **For internal use only**
`XPath` `m_use` **For internal use only**
`static int` `UNBUILT` **For internal use only**

Constructor Summary
`KeyDeclaration(java.lang.String name, XPath matchPattern, XPath use)` **For internal use only**

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_name

    public java.lang.String m_name

### m_match

    public XPath m_match

### m_use

    public XPath m_use

### UNBUILT

    public static int UNBUILT

### BUILDING

    public static int BUILDING

### BUILT

    public static int BUILT

### m_buildState

    public int m_buildState

Constructor Detail

### KeyDeclaration

    public KeyDeclaration(java.lang.String name,
                          XPath matchPattern,
                          XPath use)

Copyright © 2000 Apache XML Project. All Rights Reserved.